Bug 323438 - Please add Clear Selections button
Summary: Please add Clear Selections button
Status: CLOSED FIXED
Alias: None
Product: Skanlite
Classification: Unclassified
Component: general (show other bugs)
Version: 1.0
Platform: Debian testing All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Kåre Särs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-13 01:08 UTC by Philippe Cloutier
Modified: 2014-03-28 03:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: KDE 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Cloutier 2013-08-13 01:08:45 UTC
By default, Skanlite tries to identify zones in the preview which the user would want to scan. This is a good idea, but in my experience, it's more annoying than useful. I remember Kooka had an equivalent feature, which I found great and used sometimes, but you had to request it to operate. I just scanned a pretty simple document with a 2-columns table, and Skanlite suggests to scan each column in its own zone, which is obviously not what I want to do. I'm sure improvements to the AI are possible, but this can never be perfect, and will surely take time.

Until behavior is significantly improved, 2 things can help:
1. Turn off the feature by default.
2. Make it easy to cancel its effect.

Skanlite currently offers a way to turn the feature off in the preferences, but people will probably take a while to look there.
Skanlite also offers a quick way to temporarily cancel the feature's effect, but I only found it today when reading the manual. By right-clicking on the preview, one is offered to "Clear Selections". This works great, I just think it should be made much more obvious. All of the contextual menu items are also available in the bottom toolbar, *except* for Clear Selections, which I believe is the most useful. This almost looks like a bug.

Note that the icon's meaning is not entirely clear. Since there there is lots of horizontal room left in the bottom toolbar (at least here, where Skanlite is fullscreen), I recommend to add the "Clear Selections" label too.
Comment 1 Kåre Särs 2013-08-13 06:09:54 UTC
You might be right that the "Clear Selections" should be added to the toolbar. I developed Skanlite on a netbook and there the screen estate is really important.

I'll have a look. 

The automatic selection is actually a bit hard to get right ;) As my main scanning needs has been to scan photos and not documents, the interface is optimized for photos. I have been waiting for somebody else to take up the document scanning part but nobody has stepped up to do that.
Comment 2 Kåre Särs 2013-08-15 19:25:00 UTC
Git commit 6caec171a002f93b77c9fcddcdf2da3f2f898ec8 by Kåre Särs.
Committed on 15/08/2013 at 19:18.
Pushed by sars into branch 'master'.

Add the clear selection preview window action also as a tool button
FIXED-IN: KDE 4.12
GUI:

M  +8    -1    libksane/ksane_widget.cpp
M  +1    -0    libksane/ksane_widget_private.cpp
M  +1    -0    libksane/ksane_widget_private.h

http://commits.kde.org/libksane/6caec171a002f93b77c9fcddcdf2da3f2f898ec8
Comment 3 Philippe Cloutier 2014-03-28 03:27:23 UTC
I verified this in libksane 4.12.3. Thank you Kåre.